%global momorel 3
%global date 20061228

Summary: Provides generic line editing functions similar to those found in GNU Readline
Name: libedit
Version: 2.10
Release: 0.%{date}.%{momorel}m%{?dist}
License: BSD
URL: http://www.thrysoee.dk/editline/
Group: System Environment/Libraries
Source0: http://www.thrysoee.dk/editline/%{name}-%{date}-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ncurses-devel

%description
This is an autotool- and libtoolized port of the NetBSD Editline library 
(libedit). This Berkeley-style licensed command line editor library 
provides generic line editing, history, and tokenization functions, 
similar to those found in GNU Readline.

%package devel
Summary: Header files and static libraries from libedit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on libedit.

%prep
%setup -q -n %{name}-%{date}-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

# fix up permissions
chmod 755 patches/*.sh

# clean up docs
rm -rf examples/.{deps,libs}
rm -f examples/Makefile*
rm -f examples/*.c
rm -f examples/*.o

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL THANKS
%{_libdir}/libedit.so.*

%files devel
%defattr(-,root,root)
%doc examples patches
%{_includedir}/editline
%{_includedir}/histedit.h
%{_libdir}/libedit.a
%{_libdir}/libedit.so
%{_mandir}/man3/*.3*
%{_mandir}/man5/editrc.5*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.10-0.20061228.3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.10-0.20061228.2m)
- %%NoSource -> NoSource

* Sun Jan 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.10-0.20061228.1m)
- initial package for uim-1.4.0
